Package org.silverpeas.components.websites

## Class WebSitesContentManager

- java.lang.Object
- - org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager
  - - org.silverpeas.components.websites.WebSitesContentManager

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.contribution.contentcontainer.content.SilverpeasContentManager`

      @Service
      public class WebSitesContentManager
      extends org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager
      implements Serializable

  The webSites implementation of SilverpeasContentManager.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager

      `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager.ContributionWrapper`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `WebSitesContentManager()` | Hidden constructor as this implementation must be GET by CDI mechanism.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected <T extends org.silverpeas.core.contribution.model.Contribution> org.silverpeas.core.contribution.contentcontainer.content.SilverContentVisibility` | `computeSilverContentVisibility​(T contribution)` |
    `void` | `deleteSilverContent​(Connection con, SitePK sitePK)` | delete a content.
    `protected List<org.silverpeas.core.contribution.model.Contribution>` | `getAccessibleContributions​(List<org.silverpeas.core.ResourceReference> resourceReferences, String currentUserId)` |
    `protected String` | `getContentIconFileName​(String componentInstanceId)` |
    `protected Optional<org.silverpeas.core.contribution.model.Contribution>` | `getContribution​(String resourceId, String componentInstanceId)` |

    - ### Methods inherited from class org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager

      `createSilverContent, createSilverContent, createSilverContent, createSilverContent, deleteSilverContent, deleteSilverContent, deleteSilverContent, getContentManager, getOrCreateSilverContentId, getOrCreateSilverContentId, getSilverContentByReference, getSilverContentId, getSilverContentId, updateSilverContentVisibility, updateSilverContentVisibility`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebSitesContentManager

          protected WebSitesContentManager()

      Hidden constructor as this implementation must be GET by CDI mechanism.

  - ### Method Detail

    - #### getContentIconFileName

          protected String getContentIconFileName​(String componentInstanceId)

      Specified by:
        `getContentIconFileName` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager`

    - #### getContribution

          protected Optional<org.silverpeas.core.contribution.model.Contribution> getContribution​(String resourceId,
                                                                                                  String componentInstanceId)

      Specified by:
        `getContribution` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager`

    - #### getAccessibleContributions

          protected List<org.silverpeas.core.contribution.model.Contribution> getAccessibleContributions​(List<org.silverpeas.core.ResourceReference> resourceReferences,
                                                                                                         String currentUserId)

      Specified by:
        `getAccessibleContributions` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager`

    - #### computeSilverContentVisibility

          protected <T extends org.silverpeas.core.contribution.model.Contribution> org.silverpeas.core.contribution.contentcontainer.content.SilverContentVisibility computeSilverContentVisibility​(T contribution)

      Overrides:
        `computeSilverContentVisibility` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager`

    - #### deleteSilverContent

          public void deleteSilverContent​(Connection con,
                                          SitePK sitePK)
                                   throws org.silverpeas.core.contribution.contentcontainer.content.ContentManagerException

      delete a content. It is registered to contentManager service
      Parameters:
        `con` - a Connection
        `sitePK` - the site identifier to delete
      Throws:
        `org.silverpeas.core.contribution.contentcontainer.content.ContentManagerException` - on technical error.